import 'package:freezed_annotation/freezed_annotation.dart';
import 'package:sghi_core/afya_moja_core/afya_moja_core.dart';

part 'coordinates.freezed.dart';
part 'coordinates.g.dart';

@freezed
class Coordinates with _$Coordinates {
  factory Coordinates({
    @JsonKey(name: 'lat') String? lat,
    @JsonKey(name: 'lng') String? lng,
  }) = _Coordinates;

  factory Coordinates.fromJson(Map<String, dynamic> json) =>
      _$CoordinatesFromJson(json);

  factory Coordinates.initial() => Coordinates(
        lat: UNKNOWN,
        lng: UNKNOWN,
      );
}
