import 'package:flutter/material.dart';
import 'package:sghi_core/user_feed/src/domain/value_objects/colors.dart';

/// [CustomChip] Displays chip icons on the my facilities
class CustomChip extends StatelessWidget {
  const CustomChip({
    super.key,
    this.backgroundColor,
    this.textColor,
    required this.title,
    this.gestureKey,
  });

  final Color? backgroundColor;
  final Color? textColor;
  final String title;
  final Key? gestureKey;

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: const EdgeInsets.symmetric(horizontal: 18.0, vertical: 12.0),
      decoration: BoxDecoration(
        borderRadius: const BorderRadius.all(Radius.circular(50)),
        color: backgroundColor ?? grey1Color,
      ),
      child: Row(
        mainAxisSize: MainAxisSize.min,
        children: <Widget>[
          Text(
            title,
            style: TextStyle(
              fontWeight: FontWeight.w500,
              fontSize: 13,
              color: textColor ?? darkGreyTextColor,
            ),
          ),
        ],
      ),
    );
  }
}
